# Amazon Lambda SDK

> _Warning:_ This is an experimental preview release which is still under heavy development and not intended for public consumption, _caveat emptor_!

* [description](#description)
* [Contribute](#contribute)
* [Licence](#licence)

## Description

AWS Lambda is a compute service that runs your code in response to events and
automatically manages the compute resources for you, making it easy to build
applications that respond quickly to new information. AWS Lambda starts
running your code within milliseconds of an event such as an image upload,
in-app activity, website click, or output from a connected device. You can
also use AWS Lambda to create new back-end services where compute resources
are automatically triggered based on custom requests. With AWS Lambda you pay
only for the requests served and the compute time required to run your code.
Billing is metered in increments of 100 milliseconds, making it
cost-effective and easy to scale automatically from a few requests per day to
thousands per second.

Documentation is available via [Hackage](http://hackage.haskell.org/package/amazonka-lambda)
and the [AWS API Reference](http://docs.aws.amazon.com/lambda/latest/dg/API_Reference.html).


## Contribute

For any problems, comments, or feedback please create an issue [here on GitHub](https://github.com/brendanhay/amazonka/issues).

> _Note:_ this library is an auto-generated Haskell package. Please see `amazonka-gen` for more information.


## Licence

`amazonka-lambda` is released under the [Mozilla Public License Version 2.0](http://www.mozilla.org/MPL/).
